CentOS7 编译安装python 3.9.10 时报错 Could not import runpy module 解决方案

修改配置文件

在指定目录,检查配置环境前,先进入解压后的目录,编辑配置文件,我的解压后目录放在/opt/Python-3.9.6  

 然后执行配置检查,编译安装

./configure --prefix=/opt/python396
make && make install
 

报错的原因:

gcc版本过低,本机自带版本为4.8.5,解决此bug的版本为8